package discord

import (
	"fmt"
)

func init() {
	commands["fired"] = command{
		validate: func(cmd commandInit) bool {
			return true
		},
		run: func(cmd commandInit) error {
			sendMessage(cmd.session, cmd.message.ChannelID, fmt.Sprintf("Carolyn has been fired **%d** times!",
				cmd.database.CheckPing(cmd.config.FiredRole)))
			return nil
		},
		help: "Check how many times Carolyn has been fired.",
	}
}
